
_Init_Main:

;MenuRotatoryEncoder.mbas,54 :: 		sub procedure Init_Main()
;MenuRotatoryEncoder.mbas,55 :: 		trisa=%00000010        ' RA1 AS INPUT OTHER PINS AS OUT
	MOVLW      2
	MOVWF      TRISA+0
;MenuRotatoryEncoder.mbas,56 :: 		trisb=%00000011        ' RB0,RB1 AS INPUT OTHER PINS AS OUT
	MOVLW      3
	MOVWF      TRISB+0
;MenuRotatoryEncoder.mbas,57 :: 		porta=0                     ' reset port a
	CLRF       PORTA+0
;MenuRotatoryEncoder.mbas,58 :: 		portb=0                     ' reset port b
	CLRF       PORTB+0
;MenuRotatoryEncoder.mbas,60 :: 		ADCON0=0                ' DISABLE DAC (0=DISABLE ALL PIN 1=ABLE ALL PIN)
	CLRF       ADCON0+0
;MenuRotatoryEncoder.mbas,61 :: 		ANSEL=0                 ' SET ALL ANALOG PIN AS DIGITAL
	CLRF       ANSEL+0
;MenuRotatoryEncoder.mbas,62 :: 		CMCON =0x07             ' SWITCH OFF THE COMPARATOR
	MOVLW      7
	MOVWF      CMCON+0
;MenuRotatoryEncoder.mbas,64 :: 		Lcd_Init()
	CALL       _Lcd_Init+0
;MenuRotatoryEncoder.mbas,65 :: 		Lcd_Cmd(_LCD_CLEAR)                       ' Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MenuRotatoryEncoder.mbas,66 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)                  ' Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;MenuRotatoryEncoder.mbas,68 :: 		Rotatory_Turn=0                           ' Reset flags
	CLRF       _Rotatory_Turn+0
;MenuRotatoryEncoder.mbas,69 :: 		Max_Rotatory_Turn=4 Min_Rotatory_Turn=1   ' SET MIN, MAX MENU CHOICES
	MOVLW      4
	MOVWF      _Max_Rotatory_Turn+0
	MOVLW      1
	MOVWF      _Min_Rotatory_Turn+0
;MenuRotatoryEncoder.mbas,70 :: 		setbit(INTCON, INT0IE)                    ' enable RB0 pin Interrupt
	BSF        INTCON+0, 4
;MenuRotatoryEncoder.mbas,71 :: 		setbit(INTCON, GIE)                       ' enable all interrupt
	BSF        INTCON+0, 7
;MenuRotatoryEncoder.mbas,73 :: 		end sub
L_end_Init_Main:
	RETURN
; end of _Init_Main

_Init_Display:

;MenuRotatoryEncoder.mbas,74 :: 		sub procedure Init_Display()
;MenuRotatoryEncoder.mbas,75 :: 		LCD_RS_Direction=0      'set line as output
	BCF        TRISB2_bit+0, BitPos(TRISB2_bit+0)
;MenuRotatoryEncoder.mbas,76 :: 		LCD_EN_Direction=0      ' set line as output
	BCF        TRISB3_bit+0, BitPos(TRISB3_bit+0)
;MenuRotatoryEncoder.mbas,77 :: 		LCD_D4_Direction=0      ' set line as output
	BCF        TRISB4_bit+0, BitPos(TRISB4_bit+0)
;MenuRotatoryEncoder.mbas,78 :: 		LCD_D5_Direction=0      ' set line as output
	BCF        TRISB5_bit+0, BitPos(TRISB5_bit+0)
;MenuRotatoryEncoder.mbas,79 :: 		LCD_D6_Direction=0      ' set line as output
	BCF        TRISB6_bit+0, BitPos(TRISB6_bit+0)
;MenuRotatoryEncoder.mbas,80 :: 		LCD_D7_Direction=0      ' set line as output
	BCF        TRISB7_bit+0, BitPos(TRISB7_bit+0)
;MenuRotatoryEncoder.mbas,81 :: 		end sub
L_end_Init_Display:
	RETURN
; end of _Init_Display

_Init_Rotary_Encoder:

;MenuRotatoryEncoder.mbas,82 :: 		sub procedure Init_Rotary_Encoder
;MenuRotatoryEncoder.mbas,83 :: 		SELECTION_SW_Direction=1    ' set line as input
	BSF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
;MenuRotatoryEncoder.mbas,84 :: 		TD_Direction=1              ' set line as input
	BSF        TRISB1_bit+0, BitPos(TRISB1_bit+0)
;MenuRotatoryEncoder.mbas,85 :: 		CLK_Direction=1             ' set line as input
	BSF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;MenuRotatoryEncoder.mbas,86 :: 		end sub
L_end_Init_Rotary_Encoder:
	RETURN
; end of _Init_Rotary_Encoder

_interrupt:
	MOVWF      R15+0
	SWAPF      STATUS+0, 0
	CLRF       STATUS+0
	MOVWF      ___saveSTATUS+0
	MOVF       PCLATH+0, 0
	MOVWF      ___savePCLATH+0
	CLRF       PCLATH+0

;MenuRotatoryEncoder.mbas,87 :: 		sub procedure interrupt()
;MenuRotatoryEncoder.mbas,88 :: 		if testbit(INTCON, INT0IF) then      'Test if RB0 received Interrupt Signal
	CLRF       R0+0
	BTFSS      INTCON+0, 1
	GOTO       L__interrupt7
	MOVLW      1
	MOVWF      R0+0
L__interrupt7:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt5
;MenuRotatoryEncoder.mbas,90 :: 		if((CLK = TD) AND (Rotatory_Turn > Min_Rotatory_Turn)) then
	BTFSC      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__interrupt177
	BTFSC      RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__interrupt179
	BSF        114, 0
	GOTO       L__interrupt178
L__interrupt179:
	BCF        114, 0
	GOTO       L__interrupt178
L__interrupt177:
	BTFSC      RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__interrupt180
	BCF        114, 0
	GOTO       L__interrupt178
L__interrupt180:
	BSF        114, 0
L__interrupt178:
	MOVF       _Rotatory_Turn+0, 0
	SUBWF      _Min_Rotatory_Turn+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      114, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt9
;MenuRotatoryEncoder.mbas,91 :: 		dec(Rotatory_Turn)
	DECF       _Rotatory_Turn+0, 1
L__interrupt9:
;MenuRotatoryEncoder.mbas,94 :: 		if((CLK <> TD) AND (Rotatory_Turn < Max_Rotatory_Turn)) then
	BTFSC      RB0_bit+0, BitPos(RB0_bit+0)
	GOTO       L__interrupt181
	BTFSC      RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__interrupt183
	BCF        114, 0
	GOTO       L__interrupt182
L__interrupt183:
	BSF        114, 0
	GOTO       L__interrupt182
L__interrupt181:
	BTFSC      RB1_bit+0, BitPos(RB1_bit+0)
	GOTO       L__interrupt184
	BSF        114, 0
	GOTO       L__interrupt182
L__interrupt184:
	BCF        114, 0
L__interrupt182:
	MOVF       _Max_Rotatory_Turn+0, 0
	SUBWF      _Rotatory_Turn+0, 0
	MOVLW      255
	BTFSC      STATUS+0, 0
	MOVLW      0
	MOVWF      R1+0
	CLRF       R0+0
	BTFSC      114, 0
	INCF       R0+0, 1
	MOVF       R1+0, 0
	ANDWF      R0+0, 1
	BTFSC      STATUS+0, 2
	GOTO       L__interrupt12
;MenuRotatoryEncoder.mbas,95 :: 		inc(Rotatory_Turn)
	INCF       _Rotatory_Turn+0, 1
L__interrupt12:
;MenuRotatoryEncoder.mbas,97 :: 		clearbit(INTCON, INT0IF)                    'Turn off Interrupt
	BCF        INTCON+0, 1
L__interrupt5:
;MenuRotatoryEncoder.mbas,99 :: 		end sub
L_end_interrupt:
L__interrupt176:
	MOVF       ___savePCLATH+0, 0
	MOVWF      PCLATH+0
	SWAPF      ___saveSTATUS+0, 0
	MOVWF      STATUS+0
	SWAPF      R15+0, 1
	SWAPF      R15+0, 0
	RETFIE
; end of _interrupt

_Menu_LCD:

;MenuRotatoryEncoder.mbas,101 :: 		sub procedure Menu_LCD()
;MenuRotatoryEncoder.mbas,102 :: 		while true
L__Menu_LCD16:
;MenuRotatoryEncoder.mbas,103 :: 		if(Rotatory_Turn=0) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD21
;MenuRotatoryEncoder.mbas,104 :: 		Lcd_Out(1,2,"MENU'           ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      77
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      85
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      39
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+13
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+14
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+15
	CLRF       ?LocalText_Menu_LCD+16
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,105 :: 		Lcd_Out(2,2,"TURN THE ENCODER")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      85
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      82
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      72
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      67
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      68
	MOVWF      ?LocalText_Menu_LCD+13
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+14
	MOVLW      82
	MOVWF      ?LocalText_Menu_LCD+15
	CLRF       ?LocalText_Menu_LCD+16
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L__Menu_LCD21:
;MenuRotatoryEncoder.mbas,108 :: 		if(Rotatory_Turn=1) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD24
;MenuRotatoryEncoder.mbas,109 :: 		Lcd_Out(1,2,"FIRST CHOISE ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      73
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      82
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      67
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      72
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      73
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,110 :: 		Lcd_Out(2,2,"                ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+13
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+14
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+15
	CLRF       ?LocalText_Menu_LCD+16
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,111 :: 		if SELECTION_SW=0 then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD27
;MenuRotatoryEncoder.mbas,112 :: 		while SELECTION_SW=0 wend
L__Menu_LCD30:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD30
;MenuRotatoryEncoder.mbas,113 :: 		Rotatory_Turn=1
	MOVLW      1
	MOVWF      _Rotatory_Turn+0
;MenuRotatoryEncoder.mbas,114 :: 		while true
L__Menu_LCD35:
;MenuRotatoryEncoder.mbas,115 :: 		if(Rotatory_Turn=1) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD40
;MenuRotatoryEncoder.mbas,116 :: 		Lcd_Out(1,2,"SET ON       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,117 :: 		if(SELECTION_SW=0)then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD43
;MenuRotatoryEncoder.mbas,118 :: 		while SELECTION_SW=0 wend
L__Menu_LCD46:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD46
;MenuRotatoryEncoder.mbas,121 :: 		break
	GOTO       L__Menu_LCD36
L__Menu_LCD43:
;MenuRotatoryEncoder.mbas,122 :: 		end if
L__Menu_LCD40:
;MenuRotatoryEncoder.mbas,124 :: 		if(Rotatory_Turn=2) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD51
;MenuRotatoryEncoder.mbas,125 :: 		Lcd_Out(1,2,"SET OFF      ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,126 :: 		if(SELECTION_SW=0)then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD54
;MenuRotatoryEncoder.mbas,127 :: 		while SELECTION_SW=0 wend
L__Menu_LCD57:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD57
;MenuRotatoryEncoder.mbas,130 :: 		break
	GOTO       L__Menu_LCD36
L__Menu_LCD54:
;MenuRotatoryEncoder.mbas,131 :: 		end if
L__Menu_LCD51:
;MenuRotatoryEncoder.mbas,134 :: 		if(Rotatory_Turn > 2) then Rotatory_Turn=1 end if
	MOVF       _Rotatory_Turn+0, 0
	SUBLW      2
	BTFSC      STATUS+0, 0
	GOTO       L__Menu_LCD62
	MOVLW      1
	MOVWF      _Rotatory_Turn+0
L__Menu_LCD62:
;MenuRotatoryEncoder.mbas,135 :: 		wend
	GOTO       L__Menu_LCD35
L__Menu_LCD36:
L__Menu_LCD27:
;MenuRotatoryEncoder.mbas,136 :: 		end if
L__Menu_LCD24:
;MenuRotatoryEncoder.mbas,139 :: 		if(Rotatory_Turn=2) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD65
;MenuRotatoryEncoder.mbas,140 :: 		Lcd_Out(1,2,"SECOND CHOISE ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      67
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      68
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      67
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      72
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      73
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+13
	CLRF       ?LocalText_Menu_LCD+14
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,141 :: 		Lcd_Out(2,2,"                ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+13
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+14
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+15
	CLRF       ?LocalText_Menu_LCD+16
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,142 :: 		if SELECTION_SW=0 then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD68
;MenuRotatoryEncoder.mbas,143 :: 		while SELECTION_SW=0 wend
L__Menu_LCD71:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD71
;MenuRotatoryEncoder.mbas,144 :: 		Rotatory_Turn=1
	MOVLW      1
	MOVWF      _Rotatory_Turn+0
;MenuRotatoryEncoder.mbas,145 :: 		while true
L__Menu_LCD76:
;MenuRotatoryEncoder.mbas,146 :: 		if(Rotatory_Turn=1) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD81
;MenuRotatoryEncoder.mbas,147 :: 		Lcd_Out(1,2,"SET ON       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,148 :: 		if(SELECTION_SW=0)then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD84
;MenuRotatoryEncoder.mbas,149 :: 		while SELECTION_SW=0 wend
L__Menu_LCD87:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD87
;MenuRotatoryEncoder.mbas,152 :: 		break
	GOTO       L__Menu_LCD77
L__Menu_LCD84:
;MenuRotatoryEncoder.mbas,153 :: 		end if
L__Menu_LCD81:
;MenuRotatoryEncoder.mbas,155 :: 		if(Rotatory_Turn=2) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD92
;MenuRotatoryEncoder.mbas,156 :: 		Lcd_Out(1,2,"SET OFF      ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,157 :: 		if(SELECTION_SW=0)then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD95
;MenuRotatoryEncoder.mbas,158 :: 		while SELECTION_SW=0 wend
L__Menu_LCD98:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD98
;MenuRotatoryEncoder.mbas,161 :: 		break
	GOTO       L__Menu_LCD77
L__Menu_LCD95:
;MenuRotatoryEncoder.mbas,162 :: 		end if
L__Menu_LCD92:
;MenuRotatoryEncoder.mbas,165 :: 		if(Rotatory_Turn > 2) then Rotatory_Turn=1 end if
	MOVF       _Rotatory_Turn+0, 0
	SUBLW      2
	BTFSC      STATUS+0, 0
	GOTO       L__Menu_LCD103
	MOVLW      1
	MOVWF      _Rotatory_Turn+0
L__Menu_LCD103:
;MenuRotatoryEncoder.mbas,166 :: 		wend
	GOTO       L__Menu_LCD76
L__Menu_LCD77:
L__Menu_LCD68:
;MenuRotatoryEncoder.mbas,167 :: 		end if
L__Menu_LCD65:
;MenuRotatoryEncoder.mbas,169 :: 		if(Rotatory_Turn=3) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD106
;MenuRotatoryEncoder.mbas,170 :: 		Lcd_Out(1,2,"THIRD CHOISE ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      72
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      73
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      82
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      68
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      67
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      72
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      73
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,171 :: 		Lcd_Out(2,2,"                ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+13
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+14
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+15
	CLRF       ?LocalText_Menu_LCD+16
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,172 :: 		if SELECTION_SW=0 then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD109
;MenuRotatoryEncoder.mbas,173 :: 		while SELECTION_SW=0 wend
L__Menu_LCD112:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD112
;MenuRotatoryEncoder.mbas,174 :: 		Rotatory_Turn=1
	MOVLW      1
	MOVWF      _Rotatory_Turn+0
;MenuRotatoryEncoder.mbas,175 :: 		while true
L__Menu_LCD117:
;MenuRotatoryEncoder.mbas,176 :: 		if(Rotatory_Turn=1) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD122
;MenuRotatoryEncoder.mbas,177 :: 		Lcd_Out(1,2,"SET ON       ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      78
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,178 :: 		if(SELECTION_SW=0)then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD125
;MenuRotatoryEncoder.mbas,179 :: 		while SELECTION_SW=0 wend
L__Menu_LCD128:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD128
;MenuRotatoryEncoder.mbas,182 :: 		break
	GOTO       L__Menu_LCD118
L__Menu_LCD125:
;MenuRotatoryEncoder.mbas,183 :: 		end if
L__Menu_LCD122:
;MenuRotatoryEncoder.mbas,185 :: 		if(Rotatory_Turn=2) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD133
;MenuRotatoryEncoder.mbas,186 :: 		Lcd_Out(1,2,"SET OFF      ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      83
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      79
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      70
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,187 :: 		if(SELECTION_SW=0)then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD136
;MenuRotatoryEncoder.mbas,188 :: 		while SELECTION_SW=0 wend
L__Menu_LCD139:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD139
;MenuRotatoryEncoder.mbas,191 :: 		break
	GOTO       L__Menu_LCD118
L__Menu_LCD136:
;MenuRotatoryEncoder.mbas,192 :: 		end if
L__Menu_LCD133:
;MenuRotatoryEncoder.mbas,195 :: 		if(Rotatory_Turn > 2) then Rotatory_Turn=1 end if
	MOVF       _Rotatory_Turn+0, 0
	SUBLW      2
	BTFSC      STATUS+0, 0
	GOTO       L__Menu_LCD144
	MOVLW      1
	MOVWF      _Rotatory_Turn+0
L__Menu_LCD144:
;MenuRotatoryEncoder.mbas,196 :: 		wend
	GOTO       L__Menu_LCD117
L__Menu_LCD118:
L__Menu_LCD109:
;MenuRotatoryEncoder.mbas,197 :: 		end if
L__Menu_LCD106:
;MenuRotatoryEncoder.mbas,199 :: 		if(Rotatory_Turn=4) then
	MOVF       _Rotatory_Turn+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Menu_LCD147
;MenuRotatoryEncoder.mbas,200 :: 		Lcd_Out(1,2,"EXIT         ")
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      88
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      73
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      84
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	CLRF       ?LocalText_Menu_LCD+13
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,201 :: 		Lcd_Out(2,2,"                ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+0
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+1
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+2
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+3
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+4
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+5
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+6
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+7
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+8
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+9
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+10
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+11
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+12
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+13
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+14
	MOVLW      32
	MOVWF      ?LocalText_Menu_LCD+15
	CLRF       ?LocalText_Menu_LCD+16
	MOVLW      ?LocalText_Menu_LCD+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,202 :: 		if SELECTION_SW=0then
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD150
;MenuRotatoryEncoder.mbas,203 :: 		while SELECTION_SW=0 wend
L__Menu_LCD153:
	BTFSS      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__Menu_LCD153
;MenuRotatoryEncoder.mbas,204 :: 		Rotatory_Turn = 0
	CLRF       _Rotatory_Turn+0
;MenuRotatoryEncoder.mbas,205 :: 		break
	GOTO       L__Menu_LCD17
L__Menu_LCD150:
;MenuRotatoryEncoder.mbas,206 :: 		end if
L__Menu_LCD147:
;MenuRotatoryEncoder.mbas,208 :: 		wend
	GOTO       L__Menu_LCD16
L__Menu_LCD17:
;MenuRotatoryEncoder.mbas,209 :: 		end sub
L_end_Menu_LCD:
	RETURN
; end of _Menu_LCD

_main:

;MenuRotatoryEncoder.mbas,213 :: 		dim Push_button_durarion as byte
;MenuRotatoryEncoder.mbas,214 :: 		Init_Main
	CALL       _Init_Main+0
;MenuRotatoryEncoder.mbas,215 :: 		Init_Display
	CALL       _Init_Display+0
;MenuRotatoryEncoder.mbas,216 :: 		Init_Rotary_Encoder
	CALL       _Init_Rotary_Encoder+0
;MenuRotatoryEncoder.mbas,217 :: 		Push_button_durarion = 1
	MOVLW      1
	MOVWF      main_Push_button_durarion+0
;MenuRotatoryEncoder.mbas,218 :: 		while true
L__main159:
;MenuRotatoryEncoder.mbas,224 :: 		Lcd_Out(1,2,"PUSH BUTTON TO")        ' IF YOU WANT YOU CAN DELETE THIR LINE CODE
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      80
	MOVWF      ?LocalText_main+0
	MOVLW      85
	MOVWF      ?LocalText_main+1
	MOVLW      83
	MOVWF      ?LocalText_main+2
	MOVLW      72
	MOVWF      ?LocalText_main+3
	MOVLW      32
	MOVWF      ?LocalText_main+4
	MOVLW      66
	MOVWF      ?LocalText_main+5
	MOVLW      85
	MOVWF      ?LocalText_main+6
	MOVLW      84
	MOVWF      ?LocalText_main+7
	MOVLW      84
	MOVWF      ?LocalText_main+8
	MOVLW      79
	MOVWF      ?LocalText_main+9
	MOVLW      78
	MOVWF      ?LocalText_main+10
	MOVLW      32
	MOVWF      ?LocalText_main+11
	MOVLW      84
	MOVWF      ?LocalText_main+12
	MOVLW      79
	MOVWF      ?LocalText_main+13
	CLRF       ?LocalText_main+14
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,225 :: 		Lcd_Out(2,2,"ENTER IN MENU'")        ' IF YOU WANT YOU CAN DELETE THIR LINE CODE
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      69
	MOVWF      ?LocalText_main+0
	MOVLW      78
	MOVWF      ?LocalText_main+1
	MOVLW      84
	MOVWF      ?LocalText_main+2
	MOVLW      69
	MOVWF      ?LocalText_main+3
	MOVLW      82
	MOVWF      ?LocalText_main+4
	MOVLW      32
	MOVWF      ?LocalText_main+5
	MOVLW      73
	MOVWF      ?LocalText_main+6
	MOVLW      78
	MOVWF      ?LocalText_main+7
	MOVLW      32
	MOVWF      ?LocalText_main+8
	MOVLW      77
	MOVWF      ?LocalText_main+9
	MOVLW      69
	MOVWF      ?LocalText_main+10
	MOVLW      78
	MOVWF      ?LocalText_main+11
	MOVLW      85
	MOVWF      ?LocalText_main+12
	MOVLW      39
	MOVWF      ?LocalText_main+13
	CLRF       ?LocalText_main+14
	MOVLW      ?LocalText_main+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;MenuRotatoryEncoder.mbas,228 :: 		while SELECTION_SW=0                 ' counting routine how many time i push
L__main164:
	BTFSC      RA1_bit+0, BitPos(RA1_bit+0)
	GOTO       L__main165
;MenuRotatoryEncoder.mbas,229 :: 		inc(Push_button_durarion)      ' the encoder button.
	INCF       main_Push_button_durarion+0, 1
;MenuRotatoryEncoder.mbas,230 :: 		delay_ms(500)                  ' this routin is made in polling mode but
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main168:
	DECFSZ     R13+0, 1
	GOTO       L__main168
	DECFSZ     R12+0, 1
	GOTO       L__main168
	DECFSZ     R11+0, 1
	GOTO       L__main168
	NOP
	NOP
;MenuRotatoryEncoder.mbas,233 :: 		wend
	GOTO       L__main164
L__main165:
;MenuRotatoryEncoder.mbas,235 :: 		if Push_button_durarion > 1 then Menu_LCD  Push_button_durarion=0
	MOVF       main_Push_button_durarion+0, 0
	SUBLW      1
	BTFSC      STATUS+0, 0
	GOTO       L__main170
	CALL       _Menu_LCD+0
	CLRF       main_Push_button_durarion+0
	GOTO       L__main171
;MenuRotatoryEncoder.mbas,236 :: 		else Push_button_durarion = 0
L__main170:
	CLRF       main_Push_button_durarion+0
;MenuRotatoryEncoder.mbas,237 :: 		end if
L__main171:
;MenuRotatoryEncoder.mbas,239 :: 		wend
	GOTO       L__main159
L_end_main:
	GOTO       $+0
; end of _main
